### Enumeration

# Gio SocketFamily

since: 2.22

#### Declaration

    enum Gio.SocketFamily

#### Description [src]

The protocol family of a `GSocketAddress`. (These values are identical to the system defines `AF_INET`, `AF_INET6` and `AF_UNIX`, if available.)

Available since: 2.22

#### Members

Name | Description
--- | ---
`G_SOCKET_FAMILY_INVALID` | No address family.
`G_SOCKET_FAMILY_UNIX` | The UNIX domain family.
`G_SOCKET_FAMILY_IPV4` | The IPv4 family.
`G_SOCKET_FAMILY_IPV6` | The IPv6 family.